/// <reference types="lodash" />
import React from 'react';
declare const translate: ((key: any, config?: any) => string) & import("lodash").MemoizedFunction;
declare type Translate = typeof translate;
declare type ContextState = {
    translate: Translate;
};
declare type i18nMessages = {
    [key: string]: () => any;
};
declare type RenderProp = {
    children: (props: ContextState) => React.ReactNode;
};
export declare const setI18nConfig: (messages: i18nMessages, fallback: string) => ((key: any, config?: any) => string) & import("lodash").MemoizedFunction;
export declare function useI18n(messages: i18nMessages, fallback?: string): ContextState;
declare const Provider: React.Provider<ContextState>;
export { Provider as I18nProvider };
export declare function useI18nContext(): ContextState;
export declare function I18nConsumer({ children }: RenderProp): React.ReactNode;
